Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.RefreshMultipleKey Method (LockingInfo)
Cursor Class See Also Send Feedback

Store the key/data pair to which the cursor refers and as many ensuing key/data pairs that can fit in a buffer the size of one database page in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool RefreshMultipleKey(
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function RefreshMultipleKey ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool RefreshMultipleKey(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
RefreshMultipleKey Overload
BerkeleyDB Namespace